summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorXavier Cho2020-06-28 16:18:42 +0900
committerXavier Cho2020-06-28 16:18:42 +0900
commit7a1298238d56d5de72d4f2634c34ba8b02599be5 (patch)
tree620e9b416da6183f3486bf5c99ab48e6ff73278e
parent91d11af2e8fe3067cf582126eb76073440f14fdc (diff)
downloadaur-7a1298238d56d5de72d4f2634c34ba8b02599be5.tar.gz
Update PKGBUILD to make it compatible with master branch
-rw-r--r--.SRCINFO19
-rw-r--r--.gitignore2
-rw-r--r--PKGBUILD85
-rw-r--r--README.md7
-rw-r--r--embree.patch43
-rw-r--r--upbge.desktop10
6 files changed, 137 insertions, 29 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 1d6e6585755..b8406d42ce2 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = upbge-git
pkgdesc = Uchronia Project Blender Game Engine fork of Blender Game Engine
- pkgver = 72419.51e8bf4798
+ pkgver = 100785.b04a71b330c
pkgrel = 1
url = https://upbge.org/
install = upbge.install
@@ -11,10 +11,13 @@ pkgbase = upbge-git
makedepends = cmake
makedepends = boost
makedepends = mesa
+ makedepends = llvm
+ depends = alembic
depends = libgl
depends = python
depends = desktop-file-utils
depends = hicolor-icon-theme
+ depends = openjpeg
depends = ffmpeg
depends = fftw
depends = openal
@@ -22,24 +25,32 @@ pkgbase = upbge-git
depends = libxi
depends = openimageio
depends = opencolorio
+ depends = openvdb
+ depends = opencollada
+ depends = opensubdiv
depends = openshadinglanguage
depends = libtiff
depends = libpng
+ depends = python-numpy
optdepends = cuda: CUDA support in Cycles
+ optdepends = optix: OptiX support in Cycles
+ optdepends = openimagedenoise: Intel Open Image Denoise support in compositing
provides = blender
conflicts = blender
- source = git://github.com/UPBGE/blender.git
- source = blender-addons.git::git://git.blender.org/blender-addons.git
+ source = git://github.com/UPBGE/upbge.git
+ source = blender-addons.git::git://github.com/UPBGE/blender-addons.git
source = blender-addons-contrib.git::git://git.blender.org/blender-addons-contrib.git
source = blender-translations.git::git://git.blender.org/blender-translations.git
source = blender-dev-tools.git::git://git.blender.org/blender-dev-tools.git
+ source = embree.patch
source = upbge.desktop
md5sums = SKIP
md5sums = SKIP
md5sums = SKIP
md5sums = SKIP
md5sums = SKIP
- md5sums = 47e5bbe93fc221066882947211ff7812
+ md5sums = 4ede42a5aa6b7237170548ae00021ceb
+ md5sums = 37ce92c740691f858156511e22b40143
pkgname = upbge-git
diff --git a/.gitignore b/.gitignore
index 7acf1ac595e..068942fac5c 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,6 +1,8 @@
*
+!README.md
!PKGBUILD
!upbge.install
!upbge.desktop
+!embree.patch
!.SRCINFO
!.gitignore
diff --git a/PKGBUILD b/PKGBUILD
index 9cf40cf1af2..f0c6dbd0c55 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,14 +1,18 @@
+# Maintainer: Xavier Cho <mysticfallband@gmail.com>
+
pkgname=upbge-git
-pkgver=72419.51e8bf4798
+pkgver=100785.b04a71b330c
pkgrel=1
pkgdesc="Uchronia Project Blender Game Engine fork of Blender Game Engine"
arch=('i686' 'x86_64')
url="https://upbge.org/"
-depends=('libgl' 'python' 'desktop-file-utils' 'hicolor-icon-theme'
- 'ffmpeg' 'fftw' 'openal' 'freetype2' 'libxi' 'openimageio' 'opencolorio'
- 'openshadinglanguage' 'libtiff' 'libpng')
-optdepends=('cuda: CUDA support in Cycles')
-makedepends=('git' 'cmake' 'boost' 'mesa')
+depends=('alembic' 'libgl' 'python' 'desktop-file-utils' 'hicolor-icon-theme' 'openjpeg'
+ 'ffmpeg' 'fftw' 'openal' 'freetype2' 'libxi' 'openimageio' 'opencolorio'
+ 'openvdb' 'opencollada' 'opensubdiv' 'openshadinglanguage' 'libtiff' 'libpng' 'python-numpy')
+optdepends=('cuda: CUDA support in Cycles'
+ 'optix: OptiX support in Cycles'
+ 'openimagedenoise: Intel Open Image Denoise support in compositing')
+makedepends=('git' 'cmake' 'boost' 'mesa' 'llvm')
provides=('blender')
conflicts=('blender')
license=('GPL')
@@ -18,13 +22,21 @@ install=upbge.install
# the path in .gitmodules.
# More info:
# http://wiki.blender.org/index.php/Dev:Doc/Tools/Git
-source=('git://github.com/UPBGE/blender.git' \
- 'blender-addons.git::git://git.blender.org/blender-addons.git' \
+source=('git://github.com/UPBGE/upbge.git' \
+ 'blender-addons.git::git://github.com/UPBGE/blender-addons.git' \
'blender-addons-contrib.git::git://git.blender.org/blender-addons-contrib.git' \
'blender-translations.git::git://git.blender.org/blender-translations.git' \
'blender-dev-tools.git::git://git.blender.org/blender-dev-tools.git' \
+ embree.patch \
upbge.desktop)
-md5sums=('SKIP' 'SKIP' 'SKIP' 'SKIP' 'SKIP' '47e5bbe93fc221066882947211ff7812')
+md5sums=(
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ '4ede42a5aa6b7237170548ae00021ceb'
+ '37ce92c740691f858156511e22b40143')
# determine whether we can precompile CUDA kernels
_CUDA_PKG=`pacman -Qq cuda 2>/dev/null` || true
@@ -33,24 +45,55 @@ if [ "$_CUDA_PKG" != "" ]; then
-DCUDA_TOOLKIT_ROOT_DIR=/opt/cuda"
fi
+# check for optix
+_OPTIX_PKG=`pacman -Qq optix 2>/dev/null` || true
+if [ "$_OPTIX_PKG" != "" ]; then
+ _EXTRAOPTS="$_EXTRAOPTS \
+ -DWITH_CYCLES_DEVICE_OPTIX=ON \
+ -DOPTIX_ROOT_DIR=/opt/optix"
+fi
+
+# check for open image denoise
+_OIDN_PKG=`pacman -Qq openimagedenoise 2>/dev/null` || true
+if [ "$_OIDN_PKG" != "" ]; then
+ _EXTRAOPTS="$_EXTRAOPTS \
+ -DWITH_OPENIMAGEDENOISE=ON"
+fi
+
+# check for embree
+_EMBREE_PKG=`pacman -Qq embree 2>/dev/null` || true
+if [ "$_EMBREE_PKG" != "" ]; then
+ _EXTRAOPTS="$_EXTRAOPTS \
+ -DWITH_CYCLES_EMBREE=ON"
+fi
+
pkgver() {
- cd "$srcdir/blender"
+ cd "$srcdir/upbge"
printf "%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}
prepare() {
- cd "$srcdir/blender"
- # update the submodules
- git submodule update --init --recursive
+ cd "$srcdir/upbge"
+
+ #update the submodules
+ git submodule sync
+ git submodule update --init --recursive --remote
git submodule foreach git checkout master
- git submodule foreach git pull --rebase origin master
+ git submodule foreach git pull --rebase
+
+ if [ "$_EMBREE_PKG" != "" ]; then
+ git apply -v "${srcdir}"/embree.patch
+ fi
}
build() {
mkdir -p "$srcdir/blender-build"
+ _pyver=$(python -c "from sys import version_info; print(\"%d.%d\" % (version_info[0],version_info[1]))")
+ echo "python version detected: ${_pyver}"
+
cd "$srcdir/blender-build"
- cmake "$srcdir/blender" \
+ cmake "$srcdir/upbge" \
-DCMAKE_INSTALL_PREFIX=/usr \
-DWITH_INSTALL_PORTABLE=OFF \
-DWITH_GAMEENGINE=ON \
@@ -60,7 +103,7 @@ build() {
-DWITH_SYSTEM_GLEW=ON \
-DWITH_CODEC_FFMPEG=ON \
-DWITH_PYTHON_INSTALL=OFF \
- -DPYTHON_VERSION=3.7m \
+ -DPYTHON_VERSION="${_pyver}" \
-DWITH_MOD_OCEANSIM=ON \
$_EXTRAOPTS
make
@@ -68,12 +111,18 @@ build() {
package() {
cd "$srcdir/blender-build"
+
make DESTDIR="$pkgdir" install
+
+ mv "$pkgdir/usr/share/blender" "$pkgdir/usr/share/upbge"
+
install -D -m644 "$srcdir"/upbge.desktop \
"$pkgdir"/usr/share/applications/upbge.desktop
+ install -D -m644 "$srcdir"/upbge/release/freedesktop/icons/scalable/apps/upbge.svg \
+ "$pkgdir"/usr/share/icons/hicolor/scalable/apps/upbge,svg
- if [ -e "$pkgdir"/usr/share/blender/*/scripts/addons/cycles/lib/ ] ; then
+ if [ -e "$pkgdir"/usr/share/upbge/*/scripts/addons/cycles/lib/ ] ; then
# make sure the cuda kernels are not stripped
- chmod 444 "$pkgdir"/usr/share/blender/*/scripts/addons/cycles/lib/*
+ chmod 444 "$pkgdir"/usr/share/upbge/*/scripts/addons/cycles/lib/*
fi
}
diff --git a/README.md b/README.md
new file mode 100644
index 00000000000..c1d5a26b60a
--- /dev/null
+++ b/README.md
@@ -0,0 +1,7 @@
+## (AUR) upbge-git
+
+This is an AUR package of UPBGE(Uchronia Project Blender Game Engine), based on
+[atoms118](https://aur.archlinux.org/account/atoms118)'s original version.
+
+It also incorporate some of the changes from [`blender-2.83-git`](https://aur.archlinux.org/packages/blender-2.83-git/)
+package, including `embree.patch`. \ No newline at end of file
diff --git a/embree.patch b/embree.patch
new file mode 100644
index 00000000000..bed0b39e744
--- /dev/null
+++ b/embree.patch
@@ -0,0 +1,43 @@
+diff --git a/intern/cycles/blender/CMakeLists.txt b/intern/cycles/blender/CMakeLists.txt
+index d9a2ebf8571..f3b7d156024 100644
+--- a/intern/cycles/blender/CMakeLists.txt
++++ b/intern/cycles/blender/CMakeLists.txt
+@@ -66,6 +66,12 @@ if(WITH_CYCLES_LOGGING)
+ )
+ endif()
+
++if(WITH_CYCLES_EMBREE)
++ list(APPEND LIB
++ ${EMBREE_LIBRARIES}
++ )
++endif()
++
+ set(ADDON_FILES
+ addon/__init__.py
+ addon/engine.py
+diff --git a/build_files/cmake/Modules/FindEmbree.cmake b/build_files/cmake/Modules/FindEmbree.cmake
+index d9d525d4586..03b509a28f3 100644
+--- a/build_files/cmake/Modules/FindEmbree.cmake
++++ b/build_files/cmake/Modules/FindEmbree.cmake
+@@ -72,7 +72,7 @@ ENDFOREACH()
+
+ FIND_LIBRARY(EMBREE_LIBRARY
+ NAMES
+- libembree3
++ embree3
+ HINTS
+ ${_embree_SEARCH_DIRS}
+ PATH_SUFFIXES
+@@ -83,10 +83,10 @@ FIND_LIBRARY(EMBREE_LIBRARY
+ # all listed variables are TRUE
+ INCLUDE(FindPackageHandleStandardArgs)
+ FIND_PACKAGE_HANDLE_STANDARD_ARGS(EMBREE DEFAULT_MSG
+- _embree_LIBRARIES EMBREE_INCLUDE_DIR)
++ EMBREE_LIBRARY EMBREE_INCLUDE_DIR)
+
+ IF(EMBREE_FOUND)
+- SET(EMBREE_LIBRARIES ${_embree_LIBRARIES})
++ SET(EMBREE_LIBRARIES ${EMBREE_LIBRARY})
+ SET(EMBREE_INCLUDE_DIRS ${EMBREE_INCLUDE_DIR})
+ ENDIF(EMBREE_FOUND)
+
diff --git a/upbge.desktop b/upbge.desktop
index 86b82b32b7a..c93e56d414c 100644
--- a/upbge.desktop
+++ b/upbge.desktop
@@ -1,12 +1,8 @@
[Desktop Entry]
-Name=Blender-git
-Comment=A 3D program
-Comment[cs]=Program pro 3D modeling a animaci
-Comment[es]=Un programa de 3D
-Comment[no]=Et 3d-program
-Comment[da]=Et program til 3d-modelering
+Name=UPBGE
+Comment=Uchronia Project Blender Game Engine
Exec=blender
-Icon=blender
+Icon=upbge
Terminal=false
X-MultipleArgs=false
Type=Application